"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeCopy = void 0;
var _react = _interopRequireDefault(require("react"));
var _components = require("@looker/components");
var _ = require("..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var CodeCopy = _ref => {
  var {
    language = 'json',
    code,
    caption = 'Copy',
    pattern = '',
    transparent = false,
    inline = false,
    lineNumbers = true
  } = _ref;
  return _react.default.createElement(_components.Space, {
    between: true,
    align: "start",
    pt: "xsmall"
  }, _react.default.createElement(_.CodeDisplay, {
    code: code,
    language: language,
    pattern: pattern,
    transparent: transparent,
    inline: inline,
    lineNumbers: lineNumbers
  }), _react.default.createElement(_components.CopyToClipboard, {
    content: code
  }, caption || 'Copy'));
};
exports.CodeCopy = CodeCopy;
//# sourceMappingURL=CodeCopy.js.map