import React from 'react';
import { CopyToClipboard, Space } from '@looker/components';
import { CodeDisplay } from '..';
export var CodeCopy = _ref => {
  var {
    language = 'json',
    code,
    caption = 'Copy',
    pattern = '',
    transparent = false,
    inline = false,
    lineNumbers = true
  } = _ref;
  return React.createElement(Space, {
    between: true,
    align: "start",
    pt: "xsmall"
  }, React.createElement(CodeDisplay, {
    code: code,
    language: language,
    pattern: pattern,
    transparent: transparent,
    inline: inline,
    lineNumbers: lineNumbers
  }), React.createElement(CopyToClipboard, {
    content: code
  }, caption || 'Copy'));
};
//# sourceMappingURL=CodeCopy.js.map