"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.instanceOfPrismLanguage = exports.getPrismLanguage = exports.getOverriddenTheme = void 0;
var _components = require("@looker/components");
var _prismReactRenderer = require("prism-react-renderer");
var _vsDark = _interopRequireDefault(require("prism-react-renderer/themes/vsDark"));
var _github = _interopRequireDefault(require("prism-react-renderer/themes/github"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var instanceOfPrismLanguage = languageName => {
  var extraHighlightingEngines = ['kotlin', 'csharp', 'swift', 'ruby'];
  return Object.keys(_prismReactRenderer.Prism.languages).includes(languageName) || extraHighlightingEngines.includes(languageName);
};
exports.instanceOfPrismLanguage = instanceOfPrismLanguage;
var getPrismLanguage = language => {
  language = language.toLowerCase();
  if (language === 'golang') {
    language = 'go';
  } else if (language === 'c#') {
    language = 'csharp';
  }
  return instanceOfPrismLanguage(language) ? language : 'markup';
};
exports.getPrismLanguage = getPrismLanguage;
var getOverriddenTheme = (transparent, inline) => {
  if (inline) {
    _github.default.plain.backgroundColor = _components.theme.colors.ui1;
    _github.default.plain.border = "1px solid ".concat(_components.theme.colors.ui2);
    _github.default.plain.borderRadius = '4px';
    _github.default.plain.padding = '4px';
    _github.default.plain.fontSize = _components.theme.fontSizes.small;
    return _github.default;
  } else if (transparent) {
    _vsDark.default.plain.backgroundColor = 'none';
    _vsDark.default.plain.padding = '0px';
  } else {
    _vsDark.default.plain.backgroundColor = _components.theme.colors.text;
    _vsDark.default.plain.padding = '1rem';
  }
  return _vsDark.default;
};
exports.getOverriddenTheme = getOverriddenTheme;
//# sourceMappingURL=utils.js.map